%define module	Mail-GnuPG
%define name	perl-%{module}
%define version	0.08
%define release	2mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Process email with GPG
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/R/RS/RSPIER/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl-GnuPG-Interface
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Use GnuPG::Interface to process or create PGP signed or encrypted email.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Mail
%{_mandir}/*/*

%changelog
* Fri Aug 26 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-2mdk
- spec cleanup  
- better url
- make test in %%check

* Wed Aug 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.08-1mdk 
- first mdk release
